/* #region Whatsapp */

#julio-whats {
    position: fixed;
    bottom: 18px;
    left: 24px;
    z-index: 1000;
}

#julio-whats .whatsapp_container {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;

    width: 50px;
    height: 50px;
    background-color: rgb(77, 194, 71) !important;
    border-radius: 50%;
    box-shadow: 0 0 10px grey;
    border: 1px solid rgba(0, 0, 0, 0.1);
    cursor: pointer;
}

#julio-whats .whatsapp_container i {
    color: white;
    font-size: 1.7em;
    margin-top: 1px;
    margin-left: 1px;
}

#julio-whats .whatsapp_container .consultor {
    position: absolute;
    left: 0%;
    top: 0;
    z-index: -1 !important;

    width: 0;
    height: 100%;
    background-color: white;
    border: 1px solid rgb(77, 194, 71) !important;
    padding: 15px;
    border-radius: 20px;
    box-shadow: 0 0 10px lightgrey;
    overflow: hidden;
    opacity: 0;

    display: flex;
    flex-direction: column;
    justify-content: center;
    transition: all 0.3s ease-in-out;
}

#julio-whats .whatsapp_container:hover .consultor {
    left: 120%;
    width: 147px;
    opacity: 1;
}

#julio-whats .consultor h4 {
    font-size: 11px;
    text-wrap: nowrap;
    margin-bottom: 0;
    line-height: 6px;
    color: grey;
}

#julio-whats .consultor p {
    font-size: 11px;
    text-wrap: nowrap;
    color: grey;
}

@media screen and (max-width: 768px) {
    #julio-whats {
        bottom: 6px;
        left: 12px;
    }
}

/* #endregion */

/* #region Float Buttons */

#julio-buttons {
    --button-size: 56px;
    --button-gap: 12px;
    --square-size: 18px;
    --icon-size: 24px;

    position: fixed;
    bottom: calc(50vh - (var(--button-size) / 2));
    right: calc(var(--button-size) / -2.3);
    z-index: 1000;

    width: fit-content;
    height: var(--button-size);
}

#julio-buttons .btns-container {
    position: relative;
    width: 100%;
    height: 100%;
}

#julio-buttons button.main-btn {
    width: var(--button-size);
    height: var(--button-size);
    padding-left: 5px;
    border-top-left-radius: 50%;
    border-bottom-left-radius: 50%;
    background-color: var(--julio-secondary-lighter);
    box-shadow: 0 0 10px var(--julio-secondary), 0 0 20px var(--julio-secondary) inset;
    display: flex;
    align-items: center;
    justify-content: start;
    transition: all 0.3s ease-in-out;
}

#julio-buttons button.main-btn:not(:has(.label-text:hover)):hover {
    box-shadow: 0 0 10px grey, 0 0 20px var(--julio-secondary-lighter) inset;
    background-color: var(--julio-secondary);
}

#julio-buttons button.main-btn i {
    color: var(--julio-primary-med);
    font-size: var(--icon-size);
    transition: color 0.3s ease-in-out;
}

#julio-buttons .btns-container.active button.main-btn i.icofont-question,
#julio-buttons button.main-btn i.icofont-close {
    display: none;
}

#julio-buttons .btns-container.active button.main-btn i.icofont-close {
    display: inherit;
}


#julio-buttons .btns-container .label-text {
    color: white;

    position: absolute;
    right: 10px;

    display: flex;
    align-items: center;
    justify-content: flex-end;
    gap: 4px;
    height: 0;
    width: 0;
    padding: 6px var(--square-size);
    border-radius: 5px;
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--julio-primary-med);
    z-index: -1;
    opacity: 0;
    background-color: var(--julio-secondary-lighter);
    transition: all 0.3s ease-in-out;
    overflow: hidden;
    box-shadow: 0 0 10px var(--julio-secondary-lighter);
}

#julio-buttons .btns-container .label-text i {
    transform: rotate(45deg);
    transform: color 0.3s ease-in-out;
}

#julio-buttons .btns-container .label-text:hover,
#julio-buttons .btns-container .label-text:hover *,
#julio-buttons button.main-btn:not(:has(.label-text:hover)):hover>i {
    color: var(--julio-primary-alternative);
}

#julio-buttons .btns-container .label-text:hover {
    font-size: 1.25rem;
}

#julio-buttons .btns-container button.main-btn::after {
    content: "";
    position: absolute;
    left: 100%;
    background-color: var(--julio-secondary-lighter);
    width: var(--square-size);
    height: var(--square-size);
    transform: rotate(45deg);
    z-index: -1;
    opacity: 0;
    border-radius: 2px;
    transition: all 0.3s ease-in-out;
}

#julio-buttons .btns-container.active .label-text {
    right: calc(var(--button-size) + var(--button-gap));
    opacity: 1;
    width: 152px;
    height: var(--button-size);
    z-index: 0;
}

#julio-buttons .btns-container.active button.main-btn::after {
    left: calc(-1 * (var(--button-gap) + (var(--square-size) / 2) + 3px));
    opacity: 1;
}

#julio-buttons .btns-container button.main-btn:active,
#julio-buttons .btns-container button.main-btn:focus {
    outline: none;
}

/* #endregion */